package net.sf.jasperreports.charts;

import net.sf.jasperreports.engine.JRChartPlot;
import net.sf.jasperreports.engine.JRExpression;

public interface JRBarPlot extends JRChartPlot, JRCategoryAxisFormat, JRValueAxisFormat {
  JRExpression getCategoryAxisLabelExpression();
  
  JRExpression getValueAxisLabelExpression();
  
  boolean isShowTickMarks();
  
  void setShowTickMarks(boolean paramBoolean);
  
  boolean isShowTickLabels();
  
  void setShowTickLabels(boolean paramBoolean);
  
  boolean isShowLabels();
  
  void setShowLabels(boolean paramBoolean);
}
